Subject: Re: bug#8408: A possible tee bug?

From: George Goffe <[email-masked]>
Date: Fri, 1 Apr 2011 15:53:01 -0700

Alan,

Thank you for your help.

Sorry to bother you with such a trivial "problem". I'm still learning "unix"
after all these years. Sigh.

Have a GREAT weekend and, again, Thanks.

George...

On Fri, Apr 1, 2011 at 3:41 PM, Alan Curry <[email-masked]> wrote:

> George Goffe writes:
> > Alan,
> >
> > Oops. I goofed... My apologies.
> >
> > The example would be this "somescript | tee somescript.log 2>&1".
> >
> > The intent is to capture all the output (stdout and stderr) from
> > "somescript". "somescript" runs several commands that may or may not
> utilize
> > other FDs. I was hoping to get a better output than what you might get
> from
> > the script command which records all the messages + a ton of other things
> > like escapes which are a pain to eliminate.
> >
> > Does this make better sense?
>
> Well, you still have the 2>&1 in the wrong place. If you want it to affect
> the stderr of the command to the left of the pipe, you have to put it to
> the
> left of the pipe.
>
>